using Godot;

namespace SessionZeroApp;

public partial class LibraryContentPage : ContentPageBase 
{

    public override string PageName { get; protected set; } = "Library";

    [Export] private Button _backButton;
    [Export] private ControlPanelButton _datasetsButton;

    public override void _Ready()
    {
        SetupConnections();
    }

    private void SetupConnections()
    {
        _backButton.Pressed += () => { AppManager.Instance.LoadPage("Home"); };

        _datasetsButton.Pressed += () => { AppManager.Instance.LoadPage("Datasets"); };
    }
}